AntiFeatures:
  - NonFreeNet
Categories:
  - Money
License: GPL-3.0-or-later
AuthorName: Dash Core Group
AuthorEmail: support@dash.org
WebSite: https://www.dash.org/dash-android-wallet/
SourceCode: https://github.com/HashEngineeringSolutions/dash-wallet
IssueTracker: https://github.com/HashEngineeringSolutions/dash-wallet/issues
Translation: https://www.transifex.com/dash/dash-mobile-wallets
Changelog: https://raw.github.com/HashEngineeringSolutions/dash-wallet/HEAD/wallet/CHANGES

AutoName: Dash Wallet
Description: |-
  Note: This is a fork of https://github.com/dashpay/dash-wallet build only from FOSS components.

  Have your Dash always with you, in your pocket! You pay by quickly scanning a QR
  code. As a merchant, you receive payments reliably and instantly. Dash Wallet is
  the first mobile Dash app, and arguably also the most secure!

  FEATURES

  * No registration, web service or cloud needed! This wallet is de-centralized and peer to peer.
  * Display of Dash amount in DASH, mDASH and µDASH.
  * Conversion to and from national currencies.
  * Sending and receiving of Dash via NFC, QR codes or Dash URLs.
  * Address book for regularly used Dash addresses.
  * When you're offline, you can still pay via Bluetooth.
  * System notification for received coins.
  * Sweeping of paper wallets (e.g. those used for cold storage).
  * App widget for Dash balance.

  CONTRIBUTE

  All translations are managed via Transifex:
  <a href="https://www.transifex.com/dash/dash-wallet/">https://www.transifex.com/dash/dash-wallet/</a>

  You can find more about Dash at <a href="https://www.dash.org/">https://www.dash.org/</a>.

  TESTIMONIALS

  * A recommended mobile wallet by <a href="https://www.dash.org">https://www.dash.org</a>

  Use at your own risk!

RepoType: git
Repo: https://github.com/HashEngineeringSolutions/dash-wallet.git

Builds:
  - versionName: 6.6.4
    versionCode: 60640
    commit: v6.6.4-foss
    subdir: wallet
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    gradle:
      - prod
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
      - wallet/test/de/schildbach/wallet/util/bitcoin-backup-protobuf-testnet
    ndk: r21

  - versionName: 7.0.9
    versionCode: 70019
    commit: v7.0.9-foss
    subdir: wallet
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    gradle:
      - prod
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
      - wallet/test/de/schildbach/wallet/util/bitcoin-backup-protobuf-testnet
    ndk: r21d

  - versionName: 7.3.1
    versionCode: 70310
    commit: 7cc63ecd4a490e4b90a38b961b07a5a4b3e51907
    subdir: wallet
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    gradle:
      - foss
    prebuild:
      - sed -i -e '/kotlin-eap/d' ../build.gradle
      - sed -i -e '/firebase/d' -e '/gms/d' build.gradle
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
      - wallet/test/de/schildbach/wallet/util/bitcoin-backup-protobuf-testnet
    ndk: r21d

  - versionName: 7.3.2
    versionCode: 70311
    commit: 0736379f08128ab0609c35778dc99a59d28788fd
    subdir: wallet
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    gradle:
      - foss
    prebuild:
      - sed -i -e '/kotlin-eap/d' ../build.gradle
      - sed -i -e '/firebase/d' -e '/gms/d' build.gradle
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
      - wallet/test/de/schildbach/wallet/util/bitcoin-backup-protobuf-testnet
    ndk: r21d

  - versionName: 8.1.3
    versionCode: 80130
    commit: 248ff06a01cfc3047c4fd1d39eada6ad3c6ab2ff
    subdir: wallet
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    gradle:
      - foss
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
      - wallet/test/de/schildbach/wallet/util/bitcoin-backup-protobuf-testnet
    ndk: r21d

  - versionName: 9.0.6
    versionCode: 90061
    commit: c48b72f275fa39830a2a03642d144e08d256008a
    subdir: wallet
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    gradle:
      - foss
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
      - wallet/test/de/schildbach/wallet/util/bitcoin-backup-protobuf-testnet
    ndk: r21d

  - versionName: 10.0.1
    versionCode: 100010
    commit: 97abc3cef5c7bf7035092d3fcacd701182e130e9
    subdir: wallet
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - foss
    scandelete:
      - wallet/test/de/schildbach/wallet/util/services/*testnet
    ndk: r21d

AutoUpdateMode: Version
UpdateCheckMode: Tags .*-foss$
UpdateCheckData: wallet/build.gradle|versionCode.*\s(\d+)|.|versionName.*\s"(.*)"
CurrentVersion: 10.0.1
CurrentVersionCode: 100010
